LisaList2

Advanced search  

News:

2022.06.03 added links to LisaList1 and LisaFAQ to the General Category

Pages: [1]   Go Down

Author Topic: Can't find a proper LisaEm executable  (Read 4186 times)

pcamen

  • Newbie
  • *
  • Karma: +0/-0
  • Offline Offline
  • Posts: 3
Can't find a proper LisaEm executable
« on: June 05, 2023, 09:12:25 pm »

Hello everyone,

I haven't been able to successfully run LisaEm for years, since I think I upgraded past Mojave.  I just downloaded RC4 for amd64 arch.  I am on macOS Monterey (12) and that build says supports 11.  Is that the nature of my problem?

I am getting this message:

I can't find a proper LisaEm executable for your machine
lisaem-x86_64-12.06-wx99999999 in /Users/pcam/
Vintage/Emulators/LisaEM/LisaEm.app/Contents/MacOS
0=/Users/pcam/Vintage/Emulators/LisaEM/LisaEm.app/
Contents/MacOS/lisaem.sh

It installed the new binary over the top of my previous install, which last ran on X86. 

Any suggestions? 

Peter
Logged

fri0701

  • Sr. Member
  • ****
  • Karma: +57/-0
  • Offline Offline
  • Posts: 74
Re: Can't find a proper LisaEm executable
« Reply #1 on: June 05, 2023, 11:02:50 pm »

I'm on macOS Monterey as well, on an M1 machine. I use the 1.2.7 alpha (https://lisaem.sunder.net/downloads/LisaEm-1.2.7-20191111-ALPHA-x86_64-only-macosX10.11.dmg) - it's pretty old, but it works well for me.
Logged

pcamen

  • Newbie
  • *
  • Karma: +0/-0
  • Offline Offline
  • Posts: 3
Re: Can't find a proper LisaEm executable
« Reply #2 on: June 06, 2023, 11:51:41 am »

Oh interesting.  You use the x86 binary on an M1.  I wonder why the arm64 doesn't work while the x86 does. 
Logged
Pages: [1]   Go Up